---
title: "Get presentation"
---

> Documentation Index
> Fetch the complete documentation index at: https://docs.sureshake.com/llms.txt
> Use this file to discover all available pages before exploring further.

Path: Sureshake API › reports

`GET /v2/reports/{id}/presentation`

## Path parameters

- `id` (`report-get-presentation.path.id`; string, required)
  - format `uuid`

## Code samples

### cURL

```bash
curl --request GET \
  --url 'https://api.sureshake.com/v2/reports/<id>/presentation'
```

### TypeScript

```typescript
const url = 'https://api.sureshake.com/v2/reports/<id>/presentation';
const options = {method: 'GET'};

fetch(url, options)
  .then(res => res.json())
  .then(json => console.log(json))
  .catch(err => console.error(err));
```

### Python

```python
import requests

url = "https://api.sureshake.com/v2/reports/<id>/presentation"

response = requests.get(url)

print(response.text)
```

## Responses

### 200

Default Response

#### Example

```json
{
  "data": {
    "strategy": "brokerage_statement",
    "header": {
      "eyebrow": "string",
      "title": "string",
      "periodLabel": "string",
      "sourceLabel": "string",
      "status": {
        "label": "string",
        "tone": "accent"
      }
    },
    "figures": [
      {
        "key": "string",
        "label": "string",
        "value": "string",
        "note": "string",
        "tone": "neutral",
        "source": "string"
      }
    ],
    "notInReport": {
      "items": [
        "string"
      ],
      "note": "string"
    },
    "sections": [
      {
        "kind": "allocation",
        "key": "string",
        "title": "string",
        "description": "string",
        "segments": [
          {
            "label": "string",
            "value": 0,
            "percent": 0,
            "display": "string"
          }
        ],
        "footnote": "string"
      }
    ],
    "details": [
      {
        "label": "string",
        "value": "string"
      }
    ],
    "verification": {
      "rows": [
        {
          "label": "string",
          "value": "string",
          "technical": true
        }
      ],
      "note": "string"
    },
    "sources": [
      {
        "key": "string",
        "title": "string",
        "description": "string",
        "format": "json",
        "dataKey": "string",
        "available": true,
        "unavailableReason": "string"
      }
    ],
    "chat": {
      "subject": "string",
      "suggestedQuestions": [
        "string"
      ]
    }
  }
}
```

- `data` (`report-get-presentation.response.200.data`; object, required)
  - `strategy` (`report-get-presentation.response.200.data.strategy`; string, required)
    - one of `"brokerage_statement"`, `"financial_statements"`, `"generic_report"`
  - `header` (`report-get-presentation.response.200.data.header`; object, required)
    - `eyebrow` (`report-get-presentation.response.200.data.header.eyebrow`; string, required, nullable)
    - `title` (`report-get-presentation.response.200.data.header.title`; string, required)
    - `periodLabel` (`report-get-presentation.response.200.data.header.periodLabel`; string, required, nullable)
    - `sourceLabel` (`report-get-presentation.response.200.data.header.sourceLabel`; string, required, nullable)
    - `status` (`report-get-presentation.response.200.data.header.status`; object, required)
      - `label` (`report-get-presentation.response.200.data.header.status.label`; string, required)
      - `tone` (`report-get-presentation.response.200.data.header.status.tone`; string, required)
        - one of `"accent"`, `"neutral"`
  - `figures` (`report-get-presentation.response.200.data.figures`; array<object>, required)
    - `key` (`report-get-presentation.response.200.data.figures.key`; string, required)
    - `label` (`report-get-presentation.response.200.data.figures.label`; string, required)
    - `value` (`report-get-presentation.response.200.data.figures.value`; string, required)
    - `note` (`report-get-presentation.response.200.data.figures.note`; string, required, nullable)
    - `tone` (`report-get-presentation.response.200.data.figures.tone`; string, required)
      - one of `"neutral"`, `"positive"`, `"negative"`
    - `source` (`report-get-presentation.response.200.data.figures.source`; string, required)
  - `notInReport` (`report-get-presentation.response.200.data.notInReport`; object, required, nullable)
    - `items` (`report-get-presentation.response.200.data.notInReport.items`; array<string>, required)
    - `note` (`report-get-presentation.response.200.data.notInReport.note`; string, required)
  - `sections` (`report-get-presentation.response.200.data.sections`; array<any of>, required)
    - any of:
      - `object`
        - `kind` (`report-get-presentation.response.200.data.sections.1.kind`; string, required)
          - one of `"allocation"`
        - `key` (`report-get-presentation.response.200.data.sections.1.key`; string, required)
        - `title` (`report-get-presentation.response.200.data.sections.1.title`; string, required)
        - `description` (`report-get-presentation.response.200.data.sections.1.description`; string, required, nullable)
        - `segments` (`report-get-presentation.response.200.data.sections.1.segments`; array<object>, required)
          - `label` (`report-get-presentation.response.200.data.sections.1.segments.label`; string, required)
          - `value` (`report-get-presentation.response.200.data.sections.1.segments.value`; number, required)
          - `percent` (`report-get-presentation.response.200.data.sections.1.segments.percent`; number, required, nullable)
          - `display` (`report-get-presentation.response.200.data.sections.1.segments.display`; string, required)
        - `footnote` (`report-get-presentation.response.200.data.sections.1.footnote`; string, required, nullable)
      - `object`
        - `kind` (`report-get-presentation.response.200.data.sections.2.kind`; string, required)
          - one of `"table"`
        - `key` (`report-get-presentation.response.200.data.sections.2.key`; string, required)
        - `title` (`report-get-presentation.response.200.data.sections.2.title`; string, required)
        - `description` (`report-get-presentation.response.200.data.sections.2.description`; string, required, nullable)
        - `columns` (`report-get-presentation.response.200.data.sections.2.columns`; array<object>, required)
          - `key` (`report-get-presentation.response.200.data.sections.2.columns.key`; string, required)
          - `label` (`report-get-presentation.response.200.data.sections.2.columns.label`; string, required)
          - `align` (`report-get-presentation.response.200.data.sections.2.columns.align`; string, required)
            - one of `"start"`, `"end"`
        - `rows` (`report-get-presentation.response.200.data.sections.2.rows`; array<object>, required)
          - `key` (`report-get-presentation.response.200.data.sections.2.rows.key`; string, required)
          - `cells` (`report-get-presentation.response.200.data.sections.2.rows.cells`; array<object>, required)
            - `text` (`report-get-presentation.response.200.data.sections.2.rows.cells.text`; string, required)
            - `detail` (`report-get-presentation.response.200.data.sections.2.rows.cells.detail`; string, optional, nullable)
            - `tone` (`report-get-presentation.response.200.data.sections.2.rows.cells.tone`; string, optional)
              - one of `"neutral"`, `"positive"`, `"negative"`
          - `emphasis` (`report-get-presentation.response.200.data.sections.2.rows.emphasis`; boolean, optional)
        - `footnote` (`report-get-presentation.response.200.data.sections.2.footnote`; string, required, nullable)
      - `object`
        - `kind` (`report-get-presentation.response.200.data.sections.3.kind`; string, required)
          - one of `"statements"`
        - `key` (`report-get-presentation.response.200.data.sections.3.key`; string, required)
        - `title` (`report-get-presentation.response.200.data.sections.3.title`; string, required)
        - `description` (`report-get-presentation.response.200.data.sections.3.description`; string, required, nullable)
        - `unitLabel` (`report-get-presentation.response.200.data.sections.3.unitLabel`; string, required)
        - `statements` (`report-get-presentation.response.200.data.sections.3.statements`; array<object>, required)
          - `key` (`report-get-presentation.response.200.data.sections.3.statements.key`; string, required)
          - `label` (`report-get-presentation.response.200.data.sections.3.statements.label`; string, required)
          - `columns` (`report-get-presentation.response.200.data.sections.3.statements.columns`; array<string>, required)
          - `rows` (`report-get-presentation.response.200.data.sections.3.statements.rows`; array<object>, required)
            - `label` (`report-get-presentation.response.200.data.sections.3.statements.rows.label`; string, required)
            - `values` (`report-get-presentation.response.200.data.sections.3.statements.rows.values`; array<string>, required)
            - `emphasis` (`report-get-presentation.response.200.data.sections.3.statements.rows.emphasis`; boolean, optional)
          - `footnote` (`report-get-presentation.response.200.data.sections.3.statements.footnote`; string, required, nullable)
      - `object`
        - `kind` (`report-get-presentation.response.200.data.sections.4.kind`; string, required)
          - one of `"readings"`
        - `key` (`report-get-presentation.response.200.data.sections.4.key`; string, required)
        - `title` (`report-get-presentation.response.200.data.sections.4.title`; string, required)
        - `description` (`report-get-presentation.response.200.data.sections.4.description`; string, required, nullable)
        - `items` (`report-get-presentation.response.200.data.sections.4.items`; array<object>, required)
          - `text` (`report-get-presentation.response.200.data.sections.4.items.text`; string, required)
          - `sources` (`report-get-presentation.response.200.data.sections.4.items.sources`; array<string>, required)
      - `object`
        - `kind` (`report-get-presentation.response.200.data.sections.5.kind`; string, required)
          - one of `"markdown"`
        - `key` (`report-get-presentation.response.200.data.sections.5.key`; string, required)
        - `title` (`report-get-presentation.response.200.data.sections.5.title`; string, required)
        - `description` (`report-get-presentation.response.200.data.sections.5.description`; string, required, nullable)
        - `body` (`report-get-presentation.response.200.data.sections.5.body`; string, required)
  - `details` (`report-get-presentation.response.200.data.details`; array<object>, required)
    - `label` (`report-get-presentation.response.200.data.details.label`; string, required)
    - `value` (`report-get-presentation.response.200.data.details.value`; string, required)
  - `verification` (`report-get-presentation.response.200.data.verification`; object, required)
    - `rows` (`report-get-presentation.response.200.data.verification.rows`; array<object>, required)
      - `label` (`report-get-presentation.response.200.data.verification.rows.label`; string, required)
      - `value` (`report-get-presentation.response.200.data.verification.rows.value`; string, required)
      - `technical` (`report-get-presentation.response.200.data.verification.rows.technical`; boolean, optional)
    - `note` (`report-get-presentation.response.200.data.verification.note`; string, required)
  - `sources` (`report-get-presentation.response.200.data.sources`; array<object>, required)
    - `key` (`report-get-presentation.response.200.data.sources.key`; string, required)
    - `title` (`report-get-presentation.response.200.data.sources.title`; string, required)
    - `description` (`report-get-presentation.response.200.data.sources.description`; string, required)
    - `format` (`report-get-presentation.response.200.data.sources.format`; string, required)
      - one of `"json"`, `"ixbrl"`, `"pdf"`
    - `dataKey` (`report-get-presentation.response.200.data.sources.dataKey`; string, required, nullable)
    - `available` (`report-get-presentation.response.200.data.sources.available`; boolean, required)
    - `unavailableReason` (`report-get-presentation.response.200.data.sources.unavailableReason`; string, required, nullable)
  - `chat` (`report-get-presentation.response.200.data.chat`; object, required)
    - `subject` (`report-get-presentation.response.200.data.chat.subject`; string, required)
    - `suggestedQuestions` (`report-get-presentation.response.200.data.chat.suggestedQuestions`; array<string>, required)

### 400

Default Response

#### Example

```json
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null,
    "traceId": "string"
  }
}
```

- `error` (`report-get-presentation.response.400.error`; object, required)
  - `code` (`report-get-presentation.response.400.error.code`; string, required) — Machine-readable error code (e.g., NOT_FOUND)
  - `message` (`report-get-presentation.response.400.error.message`; string, required) — Human-readable error message
  - `details` (`report-get-presentation.response.400.error.details`; unknown, optional) — Optional structured error details
  - `traceId` (`report-get-presentation.response.400.error.traceId`; string, optional) — Unique ID for log correlation

### 401

Default Response

#### Example

```json
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null,
    "traceId": "string"
  }
}
```

- `error` (`report-get-presentation.response.401.error`; object, required)
  - `code` (`report-get-presentation.response.401.error.code`; string, required) — Machine-readable error code (e.g., NOT_FOUND)
  - `message` (`report-get-presentation.response.401.error.message`; string, required) — Human-readable error message
  - `details` (`report-get-presentation.response.401.error.details`; unknown, optional) — Optional structured error details
  - `traceId` (`report-get-presentation.response.401.error.traceId`; string, optional) — Unique ID for log correlation

### 403

Default Response

#### Example

```json
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null,
    "traceId": "string"
  }
}
```

- `error` (`report-get-presentation.response.403.error`; object, required)
  - `code` (`report-get-presentation.response.403.error.code`; string, required) — Machine-readable error code (e.g., NOT_FOUND)
  - `message` (`report-get-presentation.response.403.error.message`; string, required) — Human-readable error message
  - `details` (`report-get-presentation.response.403.error.details`; unknown, optional) — Optional structured error details
  - `traceId` (`report-get-presentation.response.403.error.traceId`; string, optional) — Unique ID for log correlation

### 404

Default Response

#### Example

```json
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null,
    "traceId": "string"
  }
}
```

- `error` (`report-get-presentation.response.404.error`; object, required)
  - `code` (`report-get-presentation.response.404.error.code`; string, required) — Machine-readable error code (e.g., NOT_FOUND)
  - `message` (`report-get-presentation.response.404.error.message`; string, required) — Human-readable error message
  - `details` (`report-get-presentation.response.404.error.details`; unknown, optional) — Optional structured error details
  - `traceId` (`report-get-presentation.response.404.error.traceId`; string, optional) — Unique ID for log correlation

### 500

Default Response

#### Example

```json
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null,
    "traceId": "string"
  }
}
```

- `error` (`report-get-presentation.response.500.error`; object, required)
  - `code` (`report-get-presentation.response.500.error.code`; string, required) — Machine-readable error code (e.g., NOT_FOUND)
  - `message` (`report-get-presentation.response.500.error.message`; string, required) — Human-readable error message
  - `details` (`report-get-presentation.response.500.error.details`; unknown, optional) — Optional structured error details
  - `traceId` (`report-get-presentation.response.500.error.traceId`; string, optional) — Unique ID for log correlation


Source: https://docs.sureshake.com/reference/report-get-presentation/index.md
